@import url('/style/reset.css');

:root {
  --accent-color: #578a2c;
  --on-accent-color: #ffffff;
  --light-background: #e9e9e9;
}

html,
body {
  font-family: Helvetica, sans-serif;
  font-size: 16px;
  font-weight: 400;
  min-height: 100dvh;
}

a {
  text-decoration: none;
  color: inherit;
}

a:hover {
  text-decoration: underline;
}

.page {
  max-width: 1280px;
  margin: auto;
  display: grid;
  grid-template-rows: auto 1fr auto;
  min-height: 100dvh;
}

header {
  height: 480px;
  color: #ffffff;
  background-repeat: no-repeat;
  position: relative;
  display: flex;
  box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25);
}

@media only screen and (min-device-width: 1281px) {
  header {
    border-bottom-left-radius: 1rem;
    border-bottom-right-radius: 1rem;
  }
}

h1 {
  font-size: 3rem;
  font-weight: 600;
  text-transform: uppercase;
  margin: auto 1rem;
}

@media only screen and (min-device-width: 768px) {
  h1 {
    font-size: 4rem;
    margin: auto 9rem;
  }
}

h1 a:hover {
  text-decoration: none;
}

header form {
  position: absolute;
  top: 1rem;
  left: 1rem;
  display: flex;
  font-size: 0.9rem;
}

header form input {
  background-color: #353535;
  color: #ffffff;
  border-radius: 0;
  border-top-left-radius: 0.5rem;
  border-bottom-left-radius: 0.5rem;
  border: 0;
  padding: 0.4rem 0.8rem;
  font-size: inherit;
  width: 256px;
}

header form input::placeholder {
  color: #c5c5c5;
}

header form button {
  background-color: var(--accent-color);
  color: #ffffff;
  border: 0;
  border-radius: 0;
  border-top-right-radius: 0.5rem;
  border-bottom-right-radius: 0.5rem;
  font-size: inherit;
  cursor: pointer;
}

header form button img {
  height: 1rem;
  vertical-align: middle;
  filter: invert(100%) sepia(0%) saturate(0%) hue-rotate(93deg) brightness(103%) contrast(103%);
}

header .user-menu {
  position: absolute;
  top: 1rem;
  right: 1rem;
  display: flex;
  align-items: center;
}

.user-menu ol {
  display: flex;
  margin-left: 0.5rem;
}

.user-menu ol li:not(:last-child):after {
  content: '·';
  margin: 0 0.5rem;
}

.avatar {
  width: 32px;
  height: 32px;
  border: 2px solid #ffffff;
  border-radius: 50%;
  background-color: var(--accent-color);
}

header .attribution,
footer .attribution {
  position: absolute;
  right: 0.6rem;
  bottom: 0.3rem;
  font-size: 0.6rem;
}

main {
  flex-grow: 1;
  padding: 1rem 1rem 0.5rem;
}

@media only screen and (min-device-width: 768px) {
  main {
    padding: 2rem 2rem 1.5rem;
  }
}

.row {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 1rem;
}

@media only screen and (min-device-width: 768px) {
  .row {
    grid-template-columns: repeat(4, 1fr);
  }
}

.card {
  background-color: #ececec;
  padding: 1rem;
  border-radius: 1rem;
  box-shadow: 2px 2px 4px 0 rgba(0, 0, 0, 0.25);
}

.card.dark {
  background-color: var(--accent-color);
  color: var(--on-accent-color);
  background: linear-gradient(135deg, rgba(113, 138, 44, 1) 0%, rgba(87, 138, 44, 1) 100%);
}

.col-span-2 {
  grid-column-end: span 2;
}

.col-span-3 {
  grid-column-end: span 3;
}

.col-span-4 {
  grid-column-end: span 4;
}

.col-2 {
  grid-column-start: 2;
}

.row-span-2 {
  grid-row-end: span 2;
}

.tag {
  display: inline-block;
  border: 1px solid var(--accent-color);
  border-radius: 0.75rem;
  font-size: 0.75rem;
  padding: 0.3rem 0.7rem;
  font-weight: 200;
}

.card.dark .tag {
  border-color: var(--on-accent-color);
}

.card h2 {
  font-size: 1.5rem;
  margin: 0.5rem 0;
}

button,
.button {
  display: block;
  text-align: center;
  padding: 0.5rem 1rem;
  border: 0;
  border-radius: 1rem;
  text-decoration: none;
  background-color: var(--on-accent-color);
  color: var(--accent-color);
  box-shadow: 2px 2px 2px 0 rgba(0, 0, 0, 0.1);
}

button.accent,
.button.accent {
  background-color: var(--accent-color);
  color: var(--on-accent-color);
}

button:hover,
.button:hover {
  background-color: var(--accent-color);
  color: var(--on-accent-color);
  box-shadow: 2px 2px 2px 0 rgba(0, 0, 0, 0.1);
  text-decoration: none;
}

button.accent:hover,
.button.accent:hover {
  color: var(--accent-color);
  background-color: var(--on-accent-color);
}

button.disabled,
button.disabled:hover,
.button.disabled,
.button.disabled:hover {
  background-color: #9e9e9e;
  color: #ffffff;
  cursor: default;
}

footer {
  background-image: url(https://images.unsplash.com/photo-1585773622274-3be290c6f8f8?q=80&w=1331&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D);
  background-repeat: no-repeat;
  background-position: 50% 68%;
  display: grid;
  grid-template-columns: repeat(2, auto);
  min-height: 75px;
  justify-content: space-between;
  box-shadow: 0 4px 4px 0 rgba(0, 0, 0, 0.25) inset;
  position: relative;
}

footer ul {
  display: flex;
  flex-direction: row;
  gap: 1rem;
  margin: auto 1rem;
  font-size: 0.8rem;
}

.hidden {
  display: none;
}

em {
  font-style: italic;
}

.center {
  text-align: center;
}

input,
textarea,
select {
  border-radius: 0.5rem;
  border: 0;
  padding: 0.2rem 0.4rem;
  font-size: inherit;
  background-color: #ffffff;
  border: 1px solid #9c9c9c;
}

input:not([type='checkbox']),
textarea,
select {
  min-width: 256px;
}

input[disabled] {
  background-color: var(--light-background);
}

.pagination {
  display: flex;
  column-gap: 0.5rem;
  font-size: 0.9rem;
}

strong,
.strong {
  font-weight: 600;
}
